/*
 * Copyright (c) 2007, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jpa.core.inheritance.nonentity;

/**
 * A non-entity super class (can be abstract or concrete) for entities.
 */
public class Personnel implements java.io.Serializable {

  /**
   * non-persistence field, and it should not participate in any persistence
   * operations.
   */
  protected java.sql.Date hireDate;

  public java.sql.Date getHireDate() {
    return hireDate;
  }

  public void setHireDate(java.sql.Date hireDate) {
    this.hireDate = hireDate;
  }

  public String getFullTimeRep() {
    return "Mabel Murray";
  }

  public String getPartTimeRep() {
    return "John Cleveland";
  }

}
